import { FlagsConfig, SfdxCommand } from '@salesforce/command';
import { CommandRequirements, HasRequirements } from '@salesforce/lwc-dev-mobile-core/lib/common/Requirements';
export declare class Create extends SfdxCommand implements HasRequirements {
    static description: string;
    static examples: string[];
    static readonly flagsConfig: FlagsConfig;
    platform: string;
    deviceName: string;
    deviceType: string;
    run(): Promise<any>;
    init(): Promise<void>;
    private _requirements;
    get commandRequirements(): CommandRequirements;
    private executeDeviceCreate;
    private executeAndroidDeviceCreate;
    private executeIOSDeviceCreate;
}
//# sourceMappingURL=create.d.ts.map